'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var helper = require('@tarojs/helper');

var index = (ctx) => {
    const { framework } = ctx.initialConfig;
    if (framework !== 'react' || !getReactPath())
        return;
    ctx.modifyWebpackChain(({ chain, webpack }) => {
        setDefinePlugin(chain, webpack);
        console.log(helper.chalk.blue('✨ 逮到一个使用taro-hooks的小可爱~ \n 当前使用的框架是: React'));
        chain.resolve.alias.set('@taro-hooks/core', getRealRuntimePath());
    });
};
function setDefinePlugin(chain, webpack) {
    chain.plugin('defined').use(webpack.DefinePlugin, [
        {
            // fix process is not defined in 3.5.x webpackv5 mode!
            __TARO_HOOKS_REACT__: JSON.stringify(true),
            __TARO_HOOKS_VUE__: JSON.stringify(false),
            TARO_ENV: JSON.stringify(process.env.TARO_ENV?.toLocaleUpperCase()),
        },
    ]);
}
function getRealRuntimePath() {
    return `@taro-hooks/plugin-react/dist/runtime`;
}
function getReactPath() {
    try {
        return require.resolve('react', {
            paths: [process.cwd()],
        });
    }
    catch (error) {
        console.log(helper.chalk.yellow('找不到 React. 请先安装。'));
        process.exit(1);
    }
}

exports["default"] = index;
exports.getReactPath = getReactPath;
//# sourceMappingURL=index.js.map
